Subject: [L2tpext] AD review of draft-ietf-l2tpext-v92-moh-01.txt

From: Thomas Narten <[email-masked]>
Date: Tue, 22 Oct 2002 11:07:49 -0400

Here are my review comments, based on the WG request to advance the
document as a PS. 

The IANA considerations really needs to be redone before last call,
since IANA will review the document during the LC to determine what
actions it has.

Once we have a new ID in place, I'll start the LC.

Thomas

title has acronyms  (rfc editor won't like this)

>                 V.92 Modem-On-Hold signalling on L2TP

Would a better title be:

      Signalling of Modem-On-Hold status in Layer Two Tunnelling
      Protocol (L2TP).

abstract not conformant with RFC editor guidelines.

see http://www.rfc-editor.org/policy.html

>    L2TP defines a general purpose mechanism for tunneling PPP over
>    various media.  By design, the operation of L2TP is insulated from
>    the details of the media from which the PPP session originated,
>    including when a V.92 client modem requests to go on-hold.  It may be
>    desirable for this information to be provided to the LNS.

Could the above be made a bit more accessible to a general reader?
What does it mean for a "request to go on-hold"?

>    view (i.e., before the LAC has sent or received a CDN).  Note that

Define and/or reference CDN?

>    There is currently no number assigned to this control message by the
>    IANA.  A number will be requested if this draft is approved by the
>    L2TP WG.  Currently, this control message is encoded as follows:
> 
>       Vendor ID = 529
>       Attribute Type = 0 (Message Type AVP)
>       Attribute Value = 2 (MDMST)
> 
>    The above encoding corresponds to a vendor-specific control message.
>    Vendor ID 529 indicates Lucent Technologies, the initial developer of
>    this specification.

above should be fixed now, and an IANA considerations section should
be added.

>    It is encoded as Vendor ID 529 with an Attribute Type of 2. The
>    Vendor ID 529 indicates Lucent Technologies, the initial developer of
>    this specification. It SHOULD be changed to 0 and an official
>    Attribute Type chosen if this specification advances on a standards
>    track.

Ditto.

>    It is encoded as Vendor ID 529 with an Attribute Type of 3. The
>    Vendor ID 529 indicates Lucent Technologies, the initial developer of
>    this specification. It SHOULD be changed to 0 and an official
>    Attribute Type chosen if this specification advances on a standards
>    track.

ditto
_______________________________________________
L2tpext mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/l2tpext